
Redmine - Feature #1014

Make issue description non-required field

2008-04-08 02:15 - Maxim Krušina

Status: Closed Start date: 2008-04-08

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 0.9.0   

Resolution: Fixed   

Description

Maybe others will no agree with me, but lot of issues I create is filed with "x" or simillar balast in description field, because sometimes

I'm deadly descriptive with Subject only ;)

Or, it can be put into Redmine's main configuration so admin will decide if Description is required or not...

Related issues:

Related to Redmine - Patch #2456: Dont require a Description for every issue Closed 2009-01-07

History

#1 - 2008-04-08 05:19 - Eric Davis

+1  I tend to copy and paste the subject into the description which is really annoying

#2 - 2008-05-07 02:26 - Eric Davis

- File allow_empty_descriptions-1014.diff added

Patch attached with unit test.

#3 - 2008-05-08 04:53 - Henrique Bastos

- File allow_empty_descriptions-1014_2.diff added

Changes seems to work fine, however the patch file has some "git references" and I couldn't just "cd trunk" then "patch -p0 <

allow_empty_descriptions-1014.diff".

Here goes another patch file.

#4 - 2008-05-09 10:24 - Maxim Krušina

Thank You, Eric. So it seems I have to learn how to deal with .diff files ;)

Because we're using SVN to upgrade our Redmine, dosen't create some conflict states after updating SVN when usinf diff'ed files?

And why not to use this modification in trunk?

Thanx!

#5 - 2008-05-09 17:42 - Eric Davis

Because we're using SVN to upgrade our Redmine, dosen't create some conflict states after updating SVN when usinf diff'ed files?

 It shouldn't create a conflict unless the same files where modified in SVN.  You can also back out any patches before upgrading by following these

steps:

1. Apply patch

patch -p0 < the-patch-file.diff

2. ... some time later ...

3. Reverse the patch

patch -p0 -r < the-patch-file.diff

4. Upgrade SVN copy:

svn update

5. Reapply the patch to the updated code:

patch -p0 < the-patch-file.diff

And why not to use this modification in trunk?
 I don't have permissions to commit to SVN directly.

#6 - 2009-01-08 00:14 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 0.9.0

- Resolution set to Fixed

Done in r2246.

Files

allow_empty_descriptions-1014.diff 2.17 KB 2008-05-07 Eric Davis

allow_empty_descriptions-1014_2.diff 2.29 KB 2008-05-08 Henrique Bastos
